### Constructor

# Gtk MessageDialognew

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_message_dialog_new (
      GtkWindow* parent,
      GtkDialogFlags flags,
      GtkMessageType type,
      GtkButtonsType buttons,
      const char* message_format,
      ...
    )

#### Description [src]

Creates a new message dialog.

This is a simple dialog with some text the user may want to see. When the user clicks a button a “response” signal is emitted with response IDs from `GtkResponseType`. See `GtkDialog` for more details.

Deprecated since: 4.10

Use `GtkAlertDialog` instead.

This method is not directly available to language bindings.

#### Parameters

`parent`

  Type: `GtkWindow`

  Transient parent.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`flags`

  Type: `GtkDialogFlags`

  Flags.

`type`

  Type: `GtkMessageType`

  Type of message.

`buttons`

  Type: `GtkButtonsType`

  Set of buttons to use.

`message_format`

  Type: `const char*`

  Printf()-style format string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for `message_format`.

#### Return value

Type: `GtkWidget`

A new `GtkMessageDialog`

The data is owned by the called function.